Get class

Returns the full details of a specific class by its ID, including custom fields, capacity settings, pricing, and associated campuses.

Path Parameters
  • class_id
    Type: string
    required

    Unique identifier of the class.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/institutions/classes/{class_id}
curl https://school.fullfabric.cloud/apis/institutions/classes/507f1f77bcf86cd799439011 \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "id": "6385bb46976a771912003e6a",
  "external_id": null,
  "programme_id": "6385baad976a771912000918",
  "name_with_programme": "MBA Full-Time September 2025",
  "name": "Class of 2025",
  "custom_name": "September 2025",
  "owner_id": null,
  "price_currency": "EUR",
  "price_amount": 45000,
  "opens_on": 1704067200,
  "closes_on": 1719705600,
  "starts_on": 1727740800,
  "ends_on": 1788220800,
  "state": "open",
  "state_auto_mode": true,
  "minimum_capacity": 20,
  "maximum_capacity": 60,
  "target_capacity": 45,
  "campuses": [
    {
      "id": "5ff317ba9a52af08c10009ca",
      "name": "London"
    }
  ]
}